C..

      SUBROUTINE gcmekl(ear, ne, param, ifl, photar, photer)

      INTEGER ne, ifl
      REAL ear(0:ne), param(6), photar(ne), photer(ne)

c
c XSPEC model subroutine to calculate a Gaussian Continous Emission
c Measure distribution.
c   Q(T) = Norm*exp((T-Tmean)^2/2/sigma^2)
c 
c Parameters:
c    param(1) = mean temperature (keV)
c    param(2) = sigma on temperature
c    param(3) = nH (cm^-3)  Fixed at 1 for most applications
c    param(4) = metallicity used in the Mewe-Kaastra plasma model
c    param(5) = redshift used in the Mewe-Kaastra plasma model
c    param(6) = switch(0=calculate MEKAL model, 1=interpolate MEKAL model)
c
c
c Declare variables:
c
 
      REAL pparam(19)

      INTEGER i


      DO i = 1, 3
         pparam(i) = param(i)
      ENDDO
      pparam(4) = 1.
      DO i = 5, 17
         pparam(i) = param(4)
      ENDDO
      pparam(18) = param(5)
      pparam(19) = param(6)

      CALL gcvmkl(ear, ne, pparam, ifl, photar)

      RETURN
      END







